# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: "http://devicetree.org/schemas/arm/mediatek/mediatek,mt7986-wed-pcie.yaml#"
$schema: "http://devicetree.org/meta-schemas/core.yaml#"

title: MediaTek PCIE WED Controller for MT7986

maintainers:
  - Lorenzo Bianconi <lorenzo@kernel.org>
  - Felix Fietkau <nbd@nbd.name>

description:
  The mediatek WED PCIE provides a configuration interface for PCIE
  controller on MT7986 soc.

properties:
  compatible:
    items:
      - enum:
          - mediatek,mt7986-wed-pcie
      - const: syscon

  reg:
    maxItems: 1

required:
  - compatible
  - reg

additionalProperties: false

examples:
  - |
    soc {
      #address-cells = <2>;
      #size-cells = <2>;
      wed_pcie: wed-pcie@10003000 {
        compatible = "mediatek,mt7986-wed-pcie",
                     "syscon";
        reg = <0 0x10003000 0 0x10>;
      };
    };
